<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ResolvedDependency (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ResolvedDependency (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/artifacts/ResolvedConfiguration.html" title="interface in org.gradle.api.artifacts"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/artifacts/ResolvedModuleVersion.html" title="interface in org.gradle.api.artifacts"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/ResolvedDependency.html" target="_top">Frames</a></li>
<li><a href="ResolvedDependency.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.artifacts</div>
<h2 title="Interface ResolvedDependency" class="title">Interface ResolvedDependency</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="strong">ResolvedDependency</span></pre>
<div class="block">Information about a resolved dependency.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/artifacts/ResolvedArtifact.html" title="interface in org.gradle.api.artifacts">ResolvedArtifact</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html#getAllArtifacts(org.gradle.api.artifacts.ResolvedDependency)">getAllArtifacts</a></strong>(<a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html" title="interface in org.gradle.api.artifacts">ResolvedDependency</a>&nbsp;parent)</code>
<div class="block">Returns the parent artifacts of this dependency and its children.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/artifacts/ResolvedArtifact.html" title="interface in org.gradle.api.artifacts">ResolvedArtifact</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html#getAllModuleArtifacts()">getAllModuleArtifacts</a></strong>()</code>
<div class="block">Returns the module artifacts belonging to this ResolvedDependency and recursively to its children.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/artifacts/ResolvedArtifact.html" title="interface in org.gradle.api.artifacts">ResolvedArtifact</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html#getArtifacts(org.gradle.api.artifacts.ResolvedDependency)">getArtifacts</a></strong>(<a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html" title="interface in org.gradle.api.artifacts">ResolvedDependency</a>&nbsp;parent)</code>
<div class="block">Returns the parent artifacts of this dependency.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html" title="interface in org.gradle.api.artifacts">ResolvedDependency</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html#getChildren()">getChildren</a></strong>()</code>
<div class="block">Returns the transitive ResolvedDependency instances of this resolved dependency.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html#getConfiguration()">getConfiguration</a></strong>()</code>
<div class="block">Returns the configuration under which this instance was resolved.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/artifacts/ResolvedModuleVersion.html" title="interface in org.gradle.api.artifacts">ResolvedModuleVersion</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html#getModule()">getModule</a></strong>()</code>
<div class="block">Returns the module which this resolved dependency belongs to.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/artifacts/ResolvedArtifact.html" title="interface in org.gradle.api.artifacts">ResolvedArtifact</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html#getModuleArtifacts()">getModuleArtifacts</a></strong>()</code>
<div class="block">Returns the module artifacts belonging to this ResolvedDependency.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html#getModuleGroup()">getModuleGroup</a></strong>()</code>
<div class="block">Returns the module group of the resolved dependency.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html#getModuleName()">getModuleName</a></strong>()</code>
<div class="block">Returns the module name of the resolved dependency.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html#getModuleVersion()">getModuleVersion</a></strong>()</code>
<div class="block">Returns the module version of the resolved dependency.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html#getName()">getName</a></strong>()</code>
<div class="block">Returns the name of the resolved dependency.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/artifacts/ResolvedArtifact.html" title="interface in org.gradle.api.artifacts">ResolvedArtifact</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html#getParentArtifacts(org.gradle.api.artifacts.ResolvedDependency)">getParentArtifacts</a></strong>(<a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html" title="interface in org.gradle.api.artifacts">ResolvedDependency</a>&nbsp;parent)</code>
<div class="block">Returns the artifacts belonging to this ResolvedDependency which it only has for a particular parent.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html" title="interface in org.gradle.api.artifacts">ResolvedDependency</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html#getParents()">getParents</a></strong>()</code>
<div class="block">Returns the ResolvedDependency instances that have this instance as a transitive dependency.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<div class="block">Returns the name of the resolved dependency.</div>
</li>
</ul>
<a name="getModuleGroup()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModuleGroup</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getModuleGroup()</pre>
<div class="block">Returns the module group of the resolved dependency.</div>
</li>
</ul>
<a name="getModuleName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModuleName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getModuleName()</pre>
<div class="block">Returns the module name of the resolved dependency.</div>
</li>
</ul>
<a name="getModuleVersion()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModuleVersion</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getModuleVersion()</pre>
<div class="block">Returns the module version of the resolved dependency.</div>
</li>
</ul>
<a name="getConfiguration()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfiguration</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getConfiguration()</pre>
<div class="block">Returns the configuration under which this instance was resolved.</div>
</li>
</ul>
<a name="getModule()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModule</h4>
<pre><a href="../../../../org/gradle/api/artifacts/ResolvedModuleVersion.html" title="interface in org.gradle.api.artifacts">ResolvedModuleVersion</a>&nbsp;getModule()</pre>
<div class="block">Returns the module which this resolved dependency belongs to.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The module.</dd></dl>
</li>
</ul>
<a name="getChildren()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildren</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html" title="interface in org.gradle.api.artifacts">ResolvedDependency</a>&gt;&nbsp;getChildren()</pre>
<div class="block">Returns the transitive ResolvedDependency instances of this resolved dependency. Returns never null.</div>
</li>
</ul>
<a name="getParents()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParents</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html" title="interface in org.gradle.api.artifacts">ResolvedDependency</a>&gt;&nbsp;getParents()</pre>
<div class="block">Returns the ResolvedDependency instances that have this instance as a transitive dependency. Returns never null.</div>
</li>
</ul>
<a name="getModuleArtifacts()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModuleArtifacts</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/artifacts/ResolvedArtifact.html" title="interface in org.gradle.api.artifacts">ResolvedArtifact</a>&gt;&nbsp;getModuleArtifacts()</pre>
<div class="block">Returns the module artifacts belonging to this ResolvedDependency. A module artifact is an artifact that belongs
 to a ResolvedDependency independent of a particular parent. Returns never null.</div>
</li>
</ul>
<a name="getAllModuleArtifacts()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllModuleArtifacts</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/artifacts/ResolvedArtifact.html" title="interface in org.gradle.api.artifacts">ResolvedArtifact</a>&gt;&nbsp;getAllModuleArtifacts()</pre>
<div class="block">Returns the module artifacts belonging to this ResolvedDependency and recursively to its children. Returns never null.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html#getModuleArtifacts()"><code>getModuleArtifacts()</code></a></dd></dl>
</li>
</ul>
<a name="getParentArtifacts(org.gradle.api.artifacts.ResolvedDependency)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParentArtifacts</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/artifacts/ResolvedArtifact.html" title="interface in org.gradle.api.artifacts">ResolvedArtifact</a>&gt;&nbsp;getParentArtifacts(<a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html" title="interface in org.gradle.api.artifacts">ResolvedDependency</a>&nbsp;parent)</pre>
<div class="block">Returns the artifacts belonging to this ResolvedDependency which it only has for a particular parent. Returns never null.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>parent</code> - A parent of the ResolvedDependency. Must not be null.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../org/gradle/api/InvalidUserDataException.html" title="class in org.gradle.api">InvalidUserDataException</a></code> - If the parent is unknown or null</dd></dl>
</li>
</ul>
<a name="getArtifacts(org.gradle.api.artifacts.ResolvedDependency)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArtifacts</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/artifacts/ResolvedArtifact.html" title="interface in org.gradle.api.artifacts">ResolvedArtifact</a>&gt;&nbsp;getArtifacts(<a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html" title="interface in org.gradle.api.artifacts">ResolvedDependency</a>&nbsp;parent)</pre>
<div class="block">Returns the parent artifacts of this dependency. Never returns null.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>parent</code> - A parent of the ResolvedDependency. Must not be null.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../org/gradle/api/InvalidUserDataException.html" title="class in org.gradle.api">InvalidUserDataException</a></code> - If the parent is unknown or null</dd></dl>
</li>
</ul>
<a name="getAllArtifacts(org.gradle.api.artifacts.ResolvedDependency)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAllArtifacts</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/artifacts/ResolvedArtifact.html" title="interface in org.gradle.api.artifacts">ResolvedArtifact</a>&gt;&nbsp;getAllArtifacts(<a href="../../../../org/gradle/api/artifacts/ResolvedDependency.html" title="interface in org.gradle.api.artifacts">ResolvedDependency</a>&nbsp;parent)</pre>
<div class="block">Returns the parent artifacts of this dependency and its children. Never returns null.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>parent</code> - A parent of the ResolvedDependency. Must not be null.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code><a href="../../../../org/gradle/api/InvalidUserDataException.html" title="class in org.gradle.api">InvalidUserDataException</a></code> - If the parent is unknown or null</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/artifacts/ResolvedConfiguration.html" title="interface in org.gradle.api.artifacts"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/artifacts/ResolvedModuleVersion.html" title="interface in org.gradle.api.artifacts"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/ResolvedDependency.html" target="_top">Frames</a></li>
<li><a href="ResolvedDependency.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
